Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.math.ec
Class ECPoint

    java.lang.Object
      |
      +--org.bouncycastle.math.ec.ECPoint

Direct Known Subclasses:
  ECPoint.F2m, ECPoint.Fp

public abstract class ECPoint
extends java.lang.Object

base class for points on elliptic curves.

Inner Class Summary
`static class` | `ECPoint.F2m` Elliptic curve points over Fp
`static class` | `ECPoint.Fp` Elliptic curve points over Fp

Constructor Summary
`protected` | `ECPoint(ECCurve curve, ECFieldElement x, ECFieldElement y)`

Method Summary
`abstract ECPoint` | `add(ECPoint b)`
`boolean` | `equals(java.lang.Object other)`
`ECCurve` | `getCurve()`
`abstract byte[]` | `getEncoded()`
`ECFieldElement` | `getX()`
`ECFieldElement` | `getY()`
`abstract ECPoint` | `multiply(java.math.BigInteger b)`
`abstract ECPoint` | `subtract(ECPoint b)`
`abstract ECPoint` | `twice()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPoint

    protected ECPoint(ECCurve curve,
                      ECFieldElement x,
                      ECFieldElement y)

Method Detail

### getCurve

    public ECCurve getCurve()

### getX

    public ECFieldElement getX()

### getY

    public ECFieldElement getY()

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### getEncoded

    public abstract byte[] getEncoded()

### add

    public abstract ECPoint add(ECPoint b)

### subtract

    public abstract ECPoint subtract(ECPoint b)

### twice

    public abstract ECPoint twice()

### multiply

    public abstract ECPoint multiply(java.math.BigInteger b)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD